GETUID(2)

NAME
getuid, geteuid - get user identification

SYNOPSIS
#include <sys/types.h>
#include <unistd.h>

uid_t getuid(void);
uid_t geteuid(void);

DESCRIPTION
The getuid function returns the real user ID of the calling process. The geteuid function returns the effective user ID of the calling process.

The real user ID is that of the user who has invoked the program. As the effective user ID gives the process additional permissions during execution of set-user-ID mode processes, getuid is used to determine the real-user-id of the calling process.

ERRORS
The getuid and geteuid functions are always successful, and no return value is reserved to indicate an error.

SEE ALSO
getgid(2), setreuid(2)

STANDARDS
Geteuid and getuid conform to IEEE Std 1003.1-1988 (POSIX).